<?xml version="1.0"?>
  <database name="TABLE M_OFFER">
    <table name="M_OFFER" primaryKey="M_OFFER_KEY">
      <column name="M_OFFER_ID" primaryKey="true" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_CLIENT_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_ORG_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ISACTIVE" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault/>
      </column>
      <column name="CREATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="CREATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="UPDATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="UPDATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="NAME" primaryKey="false" required="true" type="NVARCHAR" size="60" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="PRIORITY" primaryKey="false" required="false" type="DECIMAL" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ADDAMT" primaryKey="false" required="true" type="DECIMAL" autoIncrement="false">
        <default><![CDATA[0]]></default>
        <onCreateDefault/>
      </column>
      <column name="DISCOUNT" primaryKey="false" required="true" type="DECIMAL" autoIncrement="false">
        <default><![CDATA[0]]></default>
        <onCreateDefault/>
      </column>
      <column name="FIXED" primaryKey="false" required="false" type="DECIMAL" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="DATEFROM" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="DATETO" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="BPARTNER_SELECTION" primaryKey="false" required="true" type="VARCHAR" size="60" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="BP_GROUP_SELECTION" primaryKey="false" required="true" type="VARCHAR" size="60" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="PRODUCT_SELECTION" primaryKey="false" required="true" type="VARCHAR" size="60" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="PROD_CAT_SELECTION" primaryKey="false" required="true" type="VARCHAR" size="60" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="DESCRIPTION" primaryKey="false" required="false" type="VARCHAR" size="255" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="PRICELIST_SELECTION" primaryKey="false" required="false" type="VARCHAR" size="60" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault/>
      </column>
      <column name="QTY_FROM" primaryKey="false" required="false" type="DECIMAL" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="QTY_TO" primaryKey="false" required="false" type="DECIMAL" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="M_OFFER_TYPE_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default><![CDATA[5D4BAF6BB86D4D2C9ED3D5A6FC051579]]></default>
        <onCreateDefault><![CDATA['5D4BAF6BB86D4D2C9ED3D5A6FC051579']]></onCreateDefault>
      </column>
      <column name="APPLY_NEXT" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault/>
      </column>
      <column name="PRINT_NAME" primaryKey="false" required="false" type="VARCHAR" size="60" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ORG_SELECTION" primaryKey="false" required="true" type="VARCHAR" size="60" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault><![CDATA['Y']]></onCreateDefault>
      </column>
      <column name="ISMULTIPLE" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault><![CDATA['N']]></onCreateDefault>
      </column>
      <column name="MULTIPLE" primaryKey="false" required="false" type="DECIMAL" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="CHARACTERISTICS_SELECTION" primaryKey="false" required="true" type="VARCHAR" size="60" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault><![CDATA['Y']]></onCreateDefault>
      </column>
      <column name="BP_SET_SELECTION" primaryKey="false" required="true" type="VARCHAR" size="60" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault><![CDATA['Y']]></onCreateDefault>
      </column>
      <column name="MONDAY" primaryKey="false" required="false" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault><![CDATA['N']]></onCreateDefault>
      </column>
      <column name="TUESDAY" primaryKey="false" required="false" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault><![CDATA['N']]></onCreateDefault>
      </column>
      <column name="WEDNESDAY" primaryKey="false" required="false" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault><![CDATA['N']]></onCreateDefault>
      </column>
      <column name="THURSDAY" primaryKey="false" required="false" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault><![CDATA['N']]></onCreateDefault>
      </column>
      <column name="FRIDAY" primaryKey="false" required="false" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault><![CDATA['N']]></onCreateDefault>
      </column>
      <column name="SATURDAY" primaryKey="false" required="false" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault><![CDATA['N']]></onCreateDefault>
      </column>
      <column name="SUNDAY" primaryKey="false" required="false" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault><![CDATA['N']]></onCreateDefault>
      </column>
      <column name="ALLWEEKDAYS" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault><![CDATA['Y']]></onCreateDefault>
      </column>
      <column name="STARTINGTIME" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ENDINGTIME" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="STARTINGTIMEMONDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="STARTINGTIMETUESDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="STARTINGTIMEWEDNESDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="STARTINGTIMETHURSDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="STARTINGTIMEFRIDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="STARTINGTIMESATURDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="STARTINGTIMESUNDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ENDINGTIMEMONDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ENDINGTIMETUESDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ENDINGTIMEWEDNESDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ENDINGTIMETHURSDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ENDINGTIMEFRIDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ENDINGTIMESATURDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ENDINGTIMESUNDAY" primaryKey="false" required="false" type="TIMESTAMP" size="7" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="CONFORGPROCESS" primaryKey="false" required="false" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault/>
      </column>
      <column name="CONFPRODCATPROCESS" primaryKey="false" required="false" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault/>
      </column>
      <column name="CONFPRODPROCESS" primaryKey="false" required="false" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[N]]></default>
        <onCreateDefault/>
      </column>
      <column name="CHARACTERISTICS_EXCL_SELECTION" primaryKey="false" required="true" type="VARCHAR" size="60" autoIncrement="false">
        <default><![CDATA[A]]></default>
        <onCreateDefault><![CDATA['A']]></onCreateDefault>
      </column>
      <column name="BPARTNER_EXTREF_SELECTION" primaryKey="false" required="true" type="VARCHAR" size="60" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault><![CDATA['Y']]></onCreateDefault>
      </column>
      <column name="VERIFY_PRICE_LIMIT" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault><![CDATA['Y']]></onCreateDefault>
      </column>
      <column name="VALUE" primaryKey="false" required="false" type="NVARCHAR" size="30" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <foreign-key foreignTable="AD_CLIENT" name="M_OFFER_AD_CLIENT">
        <reference local="AD_CLIENT_ID" foreign="AD_CLIENT_ID"/>
      </foreign-key>
      <foreign-key foreignTable="AD_ORG" name="M_OFFER_AD_ORG">
        <reference local="AD_ORG_ID" foreign="AD_ORG_ID"/>
      </foreign-key>
      <foreign-key foreignTable="M_OFFER_TYPE" name="M_OFFER_OFFERTYPE">
        <reference local="M_OFFER_TYPE_ID" foreign="M_OFFER_TYPE_ID"/>
      </foreign-key>
      <index name="M_OFFER_VALUE" unique="false">
        <index-column name="VALUE"/>
        <whereClause><![CDATA[VALUE IS NOT NULL]]></whereClause>
      </index>
      <check name="M_OFFER_ALL_WEEK_TIME_CHK"><![CDATA[STARTINGTIME < ENDINGTIME]]></check>
      <check name="M_OFFER_DATE_CHK"><![CDATA[DATEFROM <= DATETO]]></check>
      <check name="M_OFFER_FRIDAY_CHK"><![CDATA[FRIDAY IN ('Y', 'N')]]></check>
      <check name="M_OFFER_FRIDAY_TIME_CHK"><![CDATA[STARTINGTIMEFRIDAY < ENDINGTIMEFRIDAY]]></check>
      <check name="M_OFFER_ISACTIVE_CHECK"><![CDATA[ISACTIVE IN ('Y', 'N')]]></check>
      <check name="M_OFFER_MONDAY_CHK"><![CDATA[MONDAY IN ('Y', 'N')]]></check>
      <check name="M_OFFER_MONDAY_TIME_CHK"><![CDATA[STARTINGTIMEMONDAY < ENDINGTIMEMONDAY]]></check>
      <check name="M_OFFER_NEXT_CHECK"><![CDATA[APPLY_NEXT IN ('Y', 'N')]]></check>
      <check name="M_OFFER_ORG_CHK"><![CDATA[CONFORGPROCESS IN ('Y', 'N')]]></check>
      <check name="M_OFFER_ORG_PROD_CHK"><![CDATA[CONFPRODPROCESS IN ('Y', 'N')]]></check>
      <check name="M_OFFER_ORG_PRODCAT_CHK"><![CDATA[CONFPRODCATPROCESS IN ('Y', 'N')]]></check>
      <check name="M_OFFER_SATURDAY_CHK"><![CDATA[SATURDAY IN ('Y', 'N')]]></check>
      <check name="M_OFFER_SATURDAY_TIME_CHK"><![CDATA[STARTINGTIMESATURDAY < ENDINGTIMESATURDAY]]></check>
      <check name="M_OFFER_SUNDAY_CHK"><![CDATA[SUNDAY IN ('Y', 'N')]]></check>
      <check name="M_OFFER_SUNDAY_TIME_CHK"><![CDATA[STARTINGTIMESUNDAY < ENDINGTIMESUNDAY]]></check>
      <check name="M_OFFER_THURSDAY_CHK"><![CDATA[THURSDAY IN ('Y', 'N')]]></check>
      <check name="M_OFFER_THURSDAY_TIME_CHK"><![CDATA[STARTINGTIMETHURSDAY < ENDINGTIMETHURSDAY]]></check>
      <check name="M_OFFER_TUESDAY_CHK"><![CDATA[TUESDAY IN ('Y', 'N')]]></check>
      <check name="M_OFFER_TUESDAY_TIME_CHK"><![CDATA[STARTINGTIMETUESDAY < ENDINGTIMETUESDAY]]></check>
      <check name="M_OFFER_WEDNESDAY_CHK"><![CDATA[WEDNESDAY IN ('Y', 'N')]]></check>
      <check name="M_OFFER_WEDNESDAY_TIME_CHK"><![CDATA[STARTINGTIMEWEDNESDAY < ENDINGTIMEWEDNESDAY]]></check>
      <check name="M_OFFER_WHOLE_WEEK_CHK"><![CDATA[ALLWEEKDAYS IN ('Y', 'N')]]></check>
    </table>
  </database>
